/* ------ large and medium devices (dekstops and laptops, 1440px and up) -----*/
@media (min-width: 1440px) {
  html {
    font-size: 62.5%;
  }
}

/* ------ large and medium devices (dekstops and laptops, 1439.99px and 992px) -----*/
@media (min-width: 992px) and (max-width: 1439.99px) {
  html {
    font-size: 0.694vw;
  }
}

/* ------ large and medium devices (dekstops and laptops, 1800px and up) -----*/
@media (min-width: 991px) {
  .container {
    max-width: 128rem;
  }

  .shopping_cart:hover .shopping_dropdown {
    opacity: 1;
    pointer-events: all;
    transform: translateY(0);
  }

  .shopping_btn:hover .arrow-down {
    transform: rotate(180deg);
  }

  .hover_dropdown:hover .arrow_down {
    transform: rotate(-180deg);
  }

  .menu_dropdown:hover .menu_dropdown_list {
    opacity: 1;
    top: 0;
  }

  .hover_dropdown:hover .hover_dropdown_content {
    transform: translateY(0);
    opacity: 1;
    pointer-events: all;
  }

  .fillter_btn {
    display: none;
  }

  .product_popup .row {
    overflow: hidden;
  }

  header.sticky {
    top: -12rem;
  }

  /* =============== list_row ============== */
  .list_row .product_row_three .row .col {
    width: 100%;
    flex: 0 0 100%;
  }

  .list_row .product_row_three .row .card {
    display: grid;
    grid-template-columns: 30rem 1fr;
    text-align: left;
    align-items: center;
  }

  .list_row .product_row_three .row .card .card_info {
    text-align: left;
    position: relative;
    z-index: 2;
  }

  .list_row .product_row_three .row .card .card_icons {
    justify-content: flex-start;
  }

  .list_row .product_row_three .row .card .icon_box1,
  .list_row .product_row_three .row .card .icon_box3 {
    opacity: 1;
    transform: translate(0, 0);
  }

  .list_row .product_row_three .row .card .card_tags {
    text-align: left;
  }

  .list_row .product_row_three .row .card_info h5 {
    text-align: left;
  }

  .list_row .product_row_three .row .card .card_img {
    height: 34rem;
  }

  .list_row .card_desc {
    display: block;
  }

  .list_row .list_btn,
  .grid_row .grid_btn {
    filter: invert(1);
  }
}

/* ------ Medium devices (tablets, 991px and down) -----*/
@media (max-width: 991px) {
  html {
    font-size: 50%;
  }

  .container {
    padding: 0;
  }

  .container,
  .menu_container {
    width: 72rem;
    padding: 0;
    max-width: 100%;
  }

  /* =========== Header area ========== */

  .site_header {
    height: 10rem;
  }

  .primary_menu {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    justify-content: flex-end;
    align-content: space-between;
    padding: 0;
    pointer-events: none;
    overflow: auto;
    left: 50%;
    transform: translateX(-50%);
  }

  .primary_menu::-webkit-scrollbar {
    scrollbar-width: 0;
    display: none;
  }

  .menu_active .primary_menu {
    pointer-events: all;
  }

  .main_menu {
    width: 100%;
    flex-direction: column;
    gap: 0rem;
    align-items: flex-start !important;
  }

  .main_menu li {
    width: 100%;
  }

  body.menu_active {
    overflow: hidden !important;
  }

  .menu_overlay {
    width: 200vw;
    height: 200vh;
    content: "";
    background: rgb(255, 255, 255);
    position: fixed;
    left: -200vw;
    top: 50%;
    transform: translateY(-50%);
    border-radius: 0 50% 50% 0;
    transition: all 1s cubic-bezier(0.68, 0, 0.27, 1.55); /* elastic wave effect */
    z-index: 99999;
  }

  .menu_active .menu_overlay {
    left: -50vw;
  }

  .menu_container {
    transition: 0.25s ease;
    transform: translateX(-2rem);
    opacity: 0;
    pointer-events: none;
  }

  .menu_active .menu_container {
    transform: translateX(0);
    opacity: 1;
    pointer-events: all;
    transition-delay: 0.65s;
  }

  /* ============== Hamburger ============= */
  .hamburger img {
    width: 2rem;
    position: absolute;
    transition: 0.35s ease;
  }

  .hamburger .close_icon {
    width: 2rem;
    opacity: 0;
    transform: scale(0.5);
    filter: brightness(0) saturate(100%) invert(6%) sepia(49%) saturate(2769%)
      hue-rotate(246deg) brightness(84%) contrast(96%);
  }

  .menu_active .hamburger .close_icon {
    opacity: 1;
    transform: scale(1);
    filter: brightness(0) saturate(100%) invert(7%) sepia(18%) saturate(5515%)
      hue-rotate(241deg) brightness(95%) contrast(97%);
  }

  .menu_active .hamburger .Hamburger_icon {
    opacity: 0;
    transform: scale(0.5);
  }

  .sticky .hamburger .Hamburger_icon {
    filter: brightness(0) saturate(100%) invert(6%) sepia(49%) saturate(2769%)
      hue-rotate(246deg) brightness(84%) contrast(96%) !important;
  }

  /* ================= */
  .menu_bottom .hero_right {
    justify-content: space-between;
    padding: 4rem 0 12rem;
  }

  .menu_bottom {
    flex-direction: column;
  }

  .menu_bottom .fbr_bottom {
    padding-top: 0;
  }

  .menu_bottom .social_links a img {
    filter: brightness(0) saturate(100%) invert(4%) sepia(35%) saturate(6491%)
      hue-rotate(256deg) brightness(85%) contrast(93%);
  }

  .menu_bottom .fbr_bottom p {
    font-size: 1.4rem;
    line-height: 2.8rem;
  }

  .main_menu {
    padding: 0 0 5rem 0;
  }

  .menu_bottom {
    padding-bottom: 4.5rem;
  }

  .menu_link img {
    width: 2.5rem;
    display: none !important;
  }

  .menu_link.active img {
    display: block !important;
  }

  .menu_link {
    display: flex;
  }

  .main_menu li a:hover,
  .main_menu li a.active {
    color: var(--accent) !important;
  }

  .site_header
    .col-lg-6.col-md-0.d-flex.align-items-center.justify-content-center {
    width: 0;
    padding: 0;
  }

  .header-component {
    flex-direction: column;
    width: 100%;
    gap: 1rem;
  }

  .header-component button {
    width: 100%;
  }

  .main_menu li a.active {
    color: var(--accent);
    border-bottom: 0.1rem solid var(--accent);
  }

  .main_menu li a:hover {
    border-bottom: 0.1rem solid var(--lightBorder);
  }

  .logo img {
    width: 8rem;
  }

  /* ================== footer =================== */
  .footer__grid {
    grid-template-columns: 1fr 1fr;
    gap: 3.5rem;
  }

  .col-md-0 {
    width: 0;
    padding: 0;
  }

  /* ================== Header Update =================== */
  .menu_top {
    padding-top: 11.5rem;
    display: flex !important;
    flex-direction: column;
  }

  .main_menu li a,
  .hover_dropdown_btn {
    font-size: 1.8rem;
    font-weight: 500;
    line-height: 1;
    width: 100%;
    padding: 1.6rem 0;
    border-bottom: 0.1rem solid #ddd;
  }

  .hover_dropdown_btn {
    background: transparent;
    height: auto;
    color: #000;
    border-radius: 0;
    border-top: 0.1rem solid #ddd;
  }

  .hover_dropdown_btn > div img {
    display: none;
  }

  .hover_dropdown_btn img {
    filter: var(--black_img);
  }

  .search_box input {
    width: 100%;
  }

  .search_box {
    margin-bottom: 3rem;
  }

  .header_icons {
    gap: 0.8rem;
  }

  .header_icons > a,
  .shopping_btn,
  .hamburger {
    min-width: 4.2rem;
    min-height: 4.2rem;
    background: #f1f1f1;
    justify-content: center;
    border-radius: 100rem;
    filter: none;
    align-items: center;
  }

  .header_icons a img {
    filter: var(--black_img);
    width: 1.8rem;
  }

  .shopping_btn {
    padding: 0 1.2rem;
    gap: 1rem;
  }

  .hamburger {
    margin-left: 0.8rem;
  }

  .hamburger .close_icon {
    width: 1.8rem;
  }

  .hover_dropdown_content {
    position: relative;
    width: 100%;
    opacity: 1;
    transform: translateY(0);
    pointer-events: all;
    overflow: hidden;
    max-height: 0;
    transition: max-height 1s ease;
    box-shadow: none;
  }

  .menu_dropdown_list {
    position: relative;
    transform: translateY(0);
    width: 100%;
    left: 0;
    opacity: 2;
    max-height: 0;
    overflow: hidden;
    box-shadow: none;
    padding: 0 2rem;
    top: 0;
    min-height: auto;
    transition: max-height 1s ease;
  }

  .menu_dropdown_list ul {
    grid-template-columns: 1fr 1fr;
  }

  .hover_dropdown,
  .search_box {
    width: 100%;
  }

  /* hover_dropdown */
  .hover_dropdown.active .hover_dropdown_content {
    max-height: 220rem;
  }

  .hover_dropdown.active .hover_dropdown_btn > img {
    transform: rotate(180deg);
  }

  .menu_dropdown.active .menu_dropdown_list {
    max-height: 200rem;
    opacity: 1;
    margin: 2rem 0;
  }

  .menu_dropdown_list ul li a {
    line-height: 3;
  }

  /* ============= Other Sections responsive ============ */
  .product_area .col {
    width: 33.3%;
  }

  .service_area .row {
    --bs-gutter-y: 2rem;
  }

  footer {
    padding: 8rem 0;
  }

  .shopping_cart.active .shopping_dropdown {
    transform: translateY(0);
    opacity: 1;
    pointer-events: all;
  }

  .shopping_cart.active .shopping_btn .arrow_down {
    transform: rotate(180deg);
  }

  .shopping_cart .shopping_btn .arrow_down {
    transition: 0.35s ease;
  }

  .ps_sm_slider .product_sm_list .card {
    max-width: 95%;
  }

  /* ============== sidebar ============== */
  .sidebar {
    position: fixed;
    left: 0;
    top: 0;
    background: #fff;
    z-index: 999999;
    padding: 5rem 11vw;
    height: 100%;
    overflow: auto;
    opacity: 0;
    transition: 0.35s ease;
    pointer-events: none;
  }

  .sidebar.active {
    pointer-events: all;
    opacity: 1;
  }

  .accordion_list {
    border-radius: 0;
    border-color: transparent;
  }

  .product_sm_slider {
    padding: 0 !important;
    border-width: 0;
  }

  .fillter_btn,
  .close_fillter_btn {
    display: flex;
  }

  .select_wrap > p {
    display: none;
  }

  .pdt_top_left {
    display: flex;
    gap: 1rem;
  }

  .map_area .row {
    flex-direction: column-reverse;
    gap: 2rem;
  }

  /* ================ header_icons ============== */
  .header_icons a p span,
  .header_icons a p strong {
    color: #000;
    line-height: 1.3;
    font-size: 1.4rem;
  }

  .header_icons > a:first-child {
    padding: 0 2rem;
  }

  .menu_bottom .header_icons a {
    min-height: 5rem;
    min-width: 5rem;
  }

  .icon_box1,
  .icon_box3 {
    transform: translate(0, 0);
    opacity: 1;
    padding: 0;
  }

  /* product_popup */
  .product_popup .row {
    width: 100%;
    height: 100%;
    border-radius: 0;
    padding: 6rem 10vw 6rem 10vw;
    overflow: auto;
    gap: 5rem;
  }

  .product_popup .product-section {
    height: auto;
  }

  .product_popup .col-lg-8:before {
    display: none;
  }

  .close_popup {
    filter: var(--black_img);
    z-index: 999999;
  }

  .btn_text {
    display: none;
  }

  .language_btn {
    min-width: 7rem;
    margin-right: 0.8rem;
    height: 4.5rem;
  }

  .icon_globe .icon_20 {
    width: 2.4rem;
  }

  .language_btn::after {
    font-size: 1.8rem;
  }

  .menu_active header.sticky {
    box-shadow: none;
  }
}

/*----- sm devices (tablets, 767px and down) -----*/
@media (max-width: 767px) {
  /* ============ default styles ============ */
  html {
    font-size: 55%;
  }

  .primary_menu,
  .container-fluid,
  .menu_container {
    width: 54rem;
  }

  .container,
  .menu_container {
    width: 54rem;
  }

  /* ================== footer =================== */
  .footer__grid {
    grid-template-columns: 1fr;
    gap: 3rem;
  }

  .product_area .col {
    width: 50%;
    flex: 0 0 50%;
  }

  .footer__bottom {
    flex-direction: column;
  }

  footer {
    padding: 6rem 0 2rem;
  }

  .hero__content h1 {
    font-size: 3rem;
    line-height: 1.5;
  }

  .hero__highlight {
    font-size: 2.2rem;
  }

  .hero__subtitle {
    font-size: 2.2rem;
  }

  .hero__content span {
    width: 10rem;
    height: 0.6rem;
    margin: 2rem 0 3rem;
  }

  .hero_slider .swiper-slide {
    padding: 3rem 0 36rem 0;
  }

  .swiper-thumbs .swiper-slide img {
    height: 9rem;
  }

  /* =============== Sidebar =============== */
  .grid_list {
    display: none !important;
  }

  .gridlist_row {
    padding-left: 0;
  }

  .product_row_three .col {
    width: 50%;
    flex: 0 0 50%;
  }

  .icon_box {
    font-size: 1rem;
    min-width: 3rem;
    min-height: 3rem;
    border-radius: 0.5rem;
    gap: 0.5rem;
    padding: 0 1.2rem;
  }

  .icon_box img {
    width: 1.4rem;
  }

  .icon_box1,
  .icon_box3 {
    transform: translate(0, 0);
    opacity: 1;
    padding: 0;
  }

  .card_icons {
    margin-top: 1rem;
    gap: 0.6rem;
    margin-bottom: 1.6rem;
  }

  .icon_box2 .shopping_icon {
    width: 1.6rem;
  }

  .product_slider_area {
    padding: 7rem 0;
  }

  .product_row_three .row {
    --bs-gutter-x: 1.6rem;
  }

  .product_row_three .card_img {
    height: 30rem;
  }

  .parduatuve_area {
    padding: 5rem 0 6rem;
  }

  .swiper-pagination {
    margin-top: 2rem;
  }

  /* ========== product_popup ============ */
  .product_popup .row {
    padding: 6rem 5vw 6rem 5vw;
    gap: 4rem;
  }
}

/*----- xs devices (landscape phones, 575px and down) -----*/
@media (max-width: 575px) {
  html {
    font-size: 2.25vw;
  }

  /* menu */
  .primary_menu,
  .container {
    width: 100%;
    padding: 0 2rem;
  }

  .menu_container {
    width: 39rem;
  }

  /* ================== footer =================== */
  .footer__bottom {
    flex-direction: column;
    align-items: flex-start;
  }

  .menu_dropdown_list ul {
    grid-template-columns: 1fr;
  }

  .product_area .col {
    width: 50%;
    flex: 0 0 50%;
  }

  /* ================== sidebar =================== */
  .sidebar {
    padding: 5rem 2rem;
  }

  /* =============== Sidebar =============== */
  .grid_list {
    display: none;
  }

  .gridlist_row {
    padding-left: 0;
  }

  .product_row_three .col {
    width: 50%;
    flex: 0 0 50%;
  }

  .title_wrap span {
    width: fit-content;
  }

  .title_wrap {
    justify-content: center;
  }

  .navigation ul {
    width: calc(100% + 4rem);
    transform: translateX(-2rem);
    padding: 0 2rem;
  }

  /* ========== product_popup ============ */
  .product_popup .row {
    padding: 6rem 2rem 6rem 2rem;
    gap: 4rem;
  }
}
